%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:          jboss-remote-naming
Version:       2.0.4
Release:       %mkrel 1
Summary:       JBoss Remote Naming
Group:         Development/Java
# https://github.com/jbossas/jboss-remote-naming/issues/28
License:       LGPLv2+
URL:           http://www.jboss.org/
Source0:       https://github.com/jbossas/jboss-remote-naming/archive/%{namedversion}/%{name}-%{namedversion}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.jboss:jboss-ejb-client)
BuildRequires: mvn(org.jboss:jboss-parent:pom:)
BuildRequires: mvn(org.jboss.logging:jboss-logging)
BuildRequires: mvn(org.jboss.logging:jboss-logging-processor)
BuildRequires: mvn(org.jboss.logmanager:jboss-logmanager)
BuildRequires: mvn(org.jboss.marshalling:jboss-marshalling)
BuildRequires: mvn(org.jboss.remoting:jboss-remoting)
BuildRequires: mvn(org.jboss.sasl:jboss-sasl)
BuildRequires: mvn(org.jboss.spec.javax.ejb:jboss-ejb-api_3.1_spec)
BuildRequires: mvn(org.jboss.spec.javax.transaction:jboss-transaction-api_1.1_spec)
BuildRequires: mvn(org.jboss.xnio:xnio-api)
BuildRequires: mvn(org.jboss.xnio:xnio-nio)

BuildArch:     noarch

%description
Library for remote naming (JNDI) with JBoss AS.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%build

# Temporarily disable the test suite
# NoClassDefFoundError: Could not initialize class org.jboss.remoting3.remote.RemoteLogger
%mvn_build -f

%install
%mvn_install

%files -f .mfiles

%files javadoc -f .mfiles-javadoc


%changelog
* Fri Nov 11 2016 daviddavid <daviddavid> 2.0.4-1.mga6
+ Revision: 1066322
- upstream release 2.0.4.Final
- disable the test suite

  + neoclust <neoclust>
    - Second rebuild of the java stack

* Sun Feb 28 2016 daviddavid <daviddavid> 2.0.1-3.mga6
+ Revision: 980431
- refresh BuildRequires list

* Sat Feb 27 2016 daviddavid <daviddavid> 2.0.1-2.mga6
+ Revision: 979919
- First rebuild of the java stack
- add missing BR on jboss-ejb-3.1-api to fix build

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Jan 28 2015 pterjan <pterjan> 2.0.1-1.mga5
+ Revision: 812630
- Add missing BuildRequires

  + daviddavid <daviddavid>
    - Sync with fc21 (update to 2.0.1.Final)

* Wed Oct 15 2014 umeabot <umeabot> 2.0.0-0.1.Beta2.5.mga5
+ Revision: 745284
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Jan 07 2014 dmorgan <dmorgan> 2.0.0-0.1.Beta2.3.mga4
+ Revision: 565288
- Rebuild against fixed maven-eclipse-plugin

* Tue Oct 22 2013 umeabot <umeabot> 2.0.0-0.1.Beta2.2.mga4
+ Revision: 541952
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 dmorgan <dmorgan> 2.0.0-0.1.Beta2.1.mga4
+ Revision: 496591
- New version

* Sat Jan 12 2013 umeabot <umeabot> 1.0.1-2.mga3
+ Revision: 355141
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 19 2012 gil <gil> 1.0.1-1.mga3
+ Revision: 210985
- imported package jboss-remote-naming

